import { h, Build, } from "@stencil/core";
export class AppAtmosphericList {
  constructor() {
    this.paginationEl = undefined;
    this.query = undefined;
  }
  onSearchInput(event) {
    this.query = event.target.value;
  }
  componentDidLoad() {
    if (!(Build === null || Build === void 0 ? void 0 : Build.isBrowser))
      return;
  }
  render() {
    return [
      h("ion-content", { class: "ion-padding" }, h("floodteam-title-bar", null, h("ion-router-link", { href: "/atmospherics" }, "Atmospheric Readings"), h("ion-buttons", { slot: "end" }, h("ion-button", { fill: "solid", color: "primary", href: "/atmospherics/new" }, "Add"))), h("div", { class: "ion-padding" }, h("fireenjin-search-bar", { ref: (el) => (this.filterBarEl = el), paginationEl: this.paginationEl, filters: null })), h("fireenjin-pagination", { ref: (el) => (this.paginationEl = el), gridEl: ({ result }) => (h("floodteam-snapshot-card", { href: `/atmospheric/${result.id}`, buttonText: "View Atmospheric" }, h("ion-label", null, h("h2", null, result.temperature ? result.temperature : "")))), listEl: ({ result }) => (h("ion-item", { href: `/atmospheric/${result.id}`, detail: true }, h("ion-label", null, h("h2", null, result.temperature ? result.temperature : "")))), endpoint: "listAtmospherics", resultsKey: "atmospherics", query: this.query, name: "atmospherics" })),
      h("floodteam-navigation-footer", null),
    ];
  }
  static get is() { return "app-atmospheric-list"; }
  static get originalStyleUrls() {
    return {
      "$": ["app-atmospheric-list.css"]
    };
  }
  static get styleUrls() {
    return {
      "$": ["app-atmospheric-list.css"]
    };
  }
  static get states() {
    return {
      "paginationEl": {},
      "query": {}
    };
  }
  static get listeners() {
    return [{
        "name": "ionInput",
        "method": "onSearchInput",
        "target": undefined,
        "capture": false,
        "passive": false
      }];
  }
}
